<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
  <link rel="stylesheet" href="styles.css" />
</head>
<body>
  <form>
    <input type="password" placeholder="Password (8 symbol, need digit)" pattern="^(?=.*[A-Za-z])(?=.*\d)[A-Za-z\d]{8,}$" required /><br />
    <input type="name" placeholder="Name (2-10 symbols)" minlength="2" maxlength="10" required /><br />
    <input type="email" placeholder="Email" required /><br />
    <input type="number" placeholder="Age (18-65)" required min="18" max="65" /><br />
    <input type="submit" />
  </form>
</body>
</html>